#import "MytestPlugin.h"
#import "ButtonFactory.h"
#import "MytestEventController.h"

@interface MytestPlugin()

// 定义FlutterEventSink的缓存对象
@property (nonatomic, strong) FlutterEventSink eventSink;

@end

@implementation MytestPlugin


+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"mytest"
            binaryMessenger:[registrar messenger]];
  MytestPlugin* instance = [[MytestPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
  //[registrar register: [[MyButton alloc] init] id: "io.flutter.plugin.mytest/button"];
    [registrar registerViewFactory:[[ButtonFactory alloc] initWithMessenger:registrar.messenger] withId:@"io.flutter.plugin.mytest/button"];
    
    // 初始化FlutterEventChannel对象
    FlutterEventChannel *eventChannel = [FlutterEventChannel eventChannelWithName:@"mytest_event" binaryMessenger:[registrar messenger]];
    [eventChannel setStreamHandler:[[MytestEventController alloc] init]];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else if ([@"getCustomLog" isEqualToString:call.method]) {
    result([@"getCustomLog:::iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else {
    result(FlutterMethodNotImplemented);
  }
}

@end
